package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yonge.cooleshow.biz.dal.entity.SysConfig;
import com.yonge.toolset.mybatis.dal.BaseDAO;

public interface SysConfigDao extends BaseDAO<Long, SysConfig> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/9
     * @params [paramName]
     * @return com.yonge.cooleshow.biz.dal.entity.SysConfig
     * @describe 根据配置名称获取配置信息
     */
    SysConfig findByParamName(String paramName);

    List<SysConfig> findByParamNameList(@Param("paramNameList") List<String> paramNameList);

    /**
     * 获取value
     * @param paramName
     * @return
     */
    String findConfigValue(String paramName);

    void batchUpdate(@Param("configList") List<SysConfig> configList);

    void updateByName(@Param("paramName") String paramName, @Param("paramValue") String paramValue);
}
